{
"event": {
"id": "3f1c9a52-7b4e-4d21-9c6a-0e5d8b2f4a17",
"type": "price-terms-accepted",
"timestamp": 1793610900
},
"payload": {
"id": 61018,
"resource": "price-acceptance",
"voucherSetId": 2030,
"providerPartnerId": 1030,
"terms": {
"pricingModel": "per-unit",
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"tiers": null
},
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1",
"periodStartsAt": "2026-11-30T23:00:00Z",
"periodEndsAt": null,
"effectiveFrom": "2026-11-30T23:00:00Z",
"acceptedBy": {
"type": "partner-user",
"id": 4069,
"label": "finance@example.com"
},
"acceptedAt": "2026-11-12T10:04:00Z",
"_links": {
"priceTerms": {
"href": "https://api.voucher.allride.io/consumer/v1/pricing/voucher-sets/2030",
"type": "application/json"
}
}
}
}Price terms
price-terms-accepted
Price Terms were accepted
WEBHOOK
price-terms-accepted
{
"event": {
"id": "3f1c9a52-7b4e-4d21-9c6a-0e5d8b2f4a17",
"type": "price-terms-accepted",
"timestamp": 1793610900
},
"payload": {
"id": 61018,
"resource": "price-acceptance",
"voucherSetId": 2030,
"providerPartnerId": 1030,
"terms": {
"pricingModel": "per-unit",
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"tiers": null
},
"termsDigest": "9a17e3c5b7d9f1a3c5e7a9b1d3f5a7c9e1b3d5f7a9c1e3b5d7f9a1c3e5b7d9f1",
"periodStartsAt": "2026-11-30T23:00:00Z",
"periodEndsAt": null,
"effectiveFrom": "2026-11-30T23:00:00Z",
"acceptedBy": {
"type": "partner-user",
"id": 4069,
"label": "finance@example.com"
},
"acceptedAt": "2026-11-12T10:04:00Z",
"_links": {
"priceTerms": {
"href": "https://api.voucher.allride.io/consumer/v1/pricing/voucher-sets/2030",
"type": "application/json"
}
}
}
}Audience: consumer · Trigger: a user of your partner accepts Price Terms · Payload:
Verify the
PriceAcceptance (consumer view) · Permission: subscribing needs view-consumer-pricing
Pricing event. Subscribing requires
view-consumer-pricing. See Pricing webhooks.x-signing-signature header before you trust the body (Verifying signatures). Deliveries are at least once and unordered; deduplicate on event.id.Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Headers
t=<unix seconds>,s1=<hex HMAC-SHA256 of "<raw body>.<t>" with your first secret>,s2=<the same with your second secret>. Accept the delivery when either signature matches. See Verifying signatures.
Body
application/json
Response
Acknowledge receipt within 15 seconds.